Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
New Contributor
Posts: 5
Registered: ‎04-09-2009
My Device: Not Specified

App World won't install on my 8330 curve "does not meet the system req"

Error message:

Sorry, your device does not meet the system requirements that are needed to support BlackBerry App World.

 

My unit matches everything on the system requirment page, whats next?

 

Why is this not working on my curve?

 

 

 

 

Highlighted
New Contributor
Posts: 5
Registered: ‎04-09-2009
My Device: Not Specified

Re: App World won't install on my 8330 curve "does not meet the system req"

I forgot my info on my phone

 

here it is:

 Metropcs  Carrier

8330 BlackBerry Model

v450127  BlackBerry OS 

wont install -------Version of App World

 

Personal use   BIS  If you have BIS or BES